"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BaseMessage = /** @class */ (function () {
    function BaseMessage() {
        this.created = false;
        this.distoryed = false;
        this.isLayout = false;
        this.position = {
            top: 0,
            left: 0
        };
        this.size = {
            width: 0,
            height: 0
        };
    }
    BaseMessage.prototype.onBaseCreate = function () {
        var _this = this;
        this.onCreate(function (val) {
            if (val) {
                _this.created = true;
            }
            else {
                _this.distoryed = true;
            }
        });
    };
    BaseMessage.prototype.onBaseDestroyed = function () {
        this.distoryed = this.onDestroyed();
    };
    BaseMessage.prototype.onBaseMeasure = function (ctx, trackInfo) {
        this.size = this.onMeasure(ctx, trackInfo);
    };
    BaseMessage.prototype.onBaseLayout = function (ctx, trackInfo) {
        this.position = this.onLayout(ctx, trackInfo);
    };
    BaseMessage.prototype.onBaseDraw = function (ctx, trackInfo) {
        this.onDraw(ctx, trackInfo);
    };
    return BaseMessage;
}());
exports.BaseMessage = BaseMessage;
//# sourceMappingURL=BaseMessage.js.map