import { Point, Rect } from '../interface/IDanmaMessage';
import { IDanmaTrackInfo } from '../interface/IDanmaTrack';
import { BaseMessage } from './BaseMessage';
interface ImgMessageConfig {
    url: string;
    width: number;
    height: number;
}
export default class ImgMessage extends BaseMessage {
    private ImgMessageConfig;
    private mImg;
    constructor(msg: ImgMessageConfig);
    onCreate(callback: Function): void;
    onMeasure(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): Rect;
    onLayout(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): Point;
    onDraw(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): void;
    onDestroyed(): boolean;
}
export {};
